/* $Id: kSFNPage.h,v 1.1 2000/04/29 19:06:35 stknut Exp $
 *
 * kSFNPage (kTaskMgr) - System file number overview page.
 *
 * Copyright (c) 2000 knut st. osmundsen (knut.stange.osmundsen@pmsc.no)
 *
 */

#ifndef _kSFNPage_h_
#define _kSFNPage_h_


/**
 * @description The SFN overview page.
 * @author      knut st. osmundsen
 */
class kSFNPage : public kNotebookPageBase
{
protected:
    /** @cat Data members */
    kSFNContainer *     pContainer;
    POINTL              ptlBorder;


    /** @cat event overrides */
    VOID  cnrContextMenu(USHORT usId, PRECORDCORE pRecord);
    VOID  cnrEnter(USHORT usId, HWND hwndCnr, PRECORDCORE pRecord, ULONG fKey);

public:
    kSFNPage(kNotebookBase *pNtbk) throw (kError);
    kSFNPage(kNotebookBase *pNtbk, USHORT usPid) throw (kError);
    ~kSFNPage();

    VOID  ntfySized(LONG cx, LONG cy);
};

#endif

